#include "register_main.h"


#ifdef __cplusplus
extern "C" {
#endif
	//此函数必须有规范的写法，必须以dll的名称加上"_"开头
	DLLAPI int connor_jd_register_callbacks()
	{
		int ifail = ITK_ok;
		ITKCALL( ifail = CUSTOM_register_exit( "connor_jd", "USERSERVICE_register_methods", (CUSTOM_EXIT_ftn_t)K_register_methods) );

		fprintf( stdout, "===================connor_jd registering USERSERVICE_custom_register_methods completed!\n" );

		ITKCALL( ifail = CUSTOM_register_exit("connor_jd","USER_gs_shell_init_module", (CUSTOM_EXIT_ftn_t)ldy_register_handlers) );

		fprintf( stdout, "===================connor_jd registering USERSERVICE_custom_register_handlers completed!\n" );
		return ifail;
	}
#ifdef __cplusplus
}
#endif